#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,320,680,1000,1160,1240,1280,1360,2760
 * N : 25,80,160,200,240,320,680,1000,1160,1240,1280,1360,2760
 * NB : 2,8,8,8,40,40,56,48,48,48,80,80,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 2; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 500) (nb_) = 40; \
   else if ((n_) < 840) (nb_) = 56; \
   else if ((n_) < 1260) (nb_) = 48; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
